Subject: Re: Multiple Threads in CLISP?

From: Wilhelm Burger <[email-masked]>
Date: Thu, 14 Sep 1995 19:40:37 +0200

> > The reason I am asking is that we consider porting a Lucid application
   > > written with Lispview, which uses one Lisp thread (process) for event 
   > > handling, thus leaving the listener etc. operational. Without multi-
   > > processing, this would require a major redesign I suppose.
   >Maybe you should look at how CLX is integrated into CLISP. It also
   >needs to do X event processing. But I don't know if this may help you.
>From the CLX examples I have seen so far, input events are handled by a single
main-event-loop which - started once - does not allow any other interaction
with Lisp. If other solutions exist, I'd be happy to learn about them.

Wilhelm.